package xyz.veronie.bgg.localdb;

import java.sql.SQLException;
import java.util.ArrayList;
import java.util.List;

import xyz.veronie.bgg.result.Thing;
import xyz.veronie.bgg.result.ThingMetaData;

public class LocalDbAdapterService {
	private SqliteController sqliteController;
	
	public LocalDbAdapterService() {
		initDb();
	}
	
	private void initDb() {
		sqliteController = SqliteController.getInstance();
		sqliteController.createSchema();
	}


	/// Add a list of things with the given name (overwriting the old one)
	// TODO: handle ask before overwrite
	public void storeThingList(List<Thing> things, String name) throws SQLException {
		sqliteController.deleteThingList(name);
		sqliteController.createThingListIfNotExists(name);
		sqliteController.addToThingList(name, things);
	}

	/// retrieve a list of things with the given name
	public List<ThingMetaData> retrieveThingList(String name) {
		// TODO: implement retrieve thing list
		return new ArrayList<ThingMetaData>();
	}

	
}
