package xyz.veronie.bgg.result;

import java.awt.Label;

import javax.annotation.PostConstruct;

import org.eclipse.swt.SWT;
import org.eclipse.swt.layout.GridData;
import org.eclipse.swt.layout.GridLayout;
import org.eclipse.swt.widgets.Composite;

public class ThingDetailsComposite extends Composite {
	ThingDetails thingDetails;
	private Label nameField;
	private Label designerField;
	private Label publisherField;
	private Label yearField;
	
	public ThingDetailsComposite(Composite parent, int style) {
		super(parent, style);
	}

	@PostConstruct
	public void create() {
		setLayoutData(new GridData(SWT.FILL, SWT.FILL, false, false));

		GridLayout layout = new GridLayout(2, false);
		setLayout(layout);

		Label nameLbl = new Label("Name");
		applyLayout(nameLbl);
		nameField = new Label("");

		Label designerLbl = new Label("Designer");
		applyLayout(designerLbl);
		designerField = new Label("");
		
		Label publisherLbl = new Label("Publisher");
		applyLayout(publisherLbl);
		publisherField = new Label("");
		
		Label yearLbl = new Label("Publisher");
		applyLayout(yearLbl);
		yearField = new Label("");		
		
		this.getParent().layout();
	}

	
	private void applyLayout(Label label) {
		label.setAlignment(SWT.RIGHT);
	}

	public void selectedThingChanged(Thing thing) {
	    System.out.println("TOPIC_THING_SELECTION: " + thing);
	    thingDetails = thing.getDetails();
	    
	    if(thingDetails != null) {
		    nameField.setText(thingDetails.name);
		    designerField.setText(thingDetails.designer);
		    publisherField.setText(thingDetails.publisher);
		    yearField.setText(Integer.toString(thingDetails.yearpublished));
	    } else {
		    nameField.setText("");
		    designerField.setText("");
		    publisherField.setText("");
		    yearField.setText("");
	    	
	    }
	    this.getParent().layout();
	}


}
